using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using GxPress.Entity;
using GxPress.Request.ArticleGroupUser;
using GxPress.Result.ArticleGroupUser;
using Datory;

namespace GxPress.Repository.Interface
{
   public interface IArticleGroupUserRepository:IRepository
    {
        Task<int> InsertAsync(ArticleGroupUserInRequest request);

        Task<bool> DeleteAsync(int id);

        Task<IEnumerable<ArticleGroupUserListResult>> GetListAsync(ArticleGroupUserSearchRequest request);
    }
}
